// X windows calendar
//
#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Menu_Item.H>
#include <FL/Fl_Menu_Button.H>

#include <Calendar.H>

Fl_Calendar *calendar;

void menu_exit_cb (Fl_Widget*, void*)
{
  exit (0);
}

void menu_today_cb (Fl_Widget*, void*)
{
  calendar->today ();
  calendar->update ();
}

Fl_Menu_Item cal_menu_items[] = {
  {"Today", 0, menu_today_cb},
  {"Exit", 0, menu_exit_cb},
  {0}
};

Fl_Menu_Button *cal_popup_menu;

main(int argc, char *argv[])
{
  int calwidth = 7*20+4, calheight = 8*20 + 4;
  Fl_Window *mainw = new Fl_Window (0,0,calwidth, calheight, "Calendar");
    calendar = new Fl_Calendar(2, 2);
    cal_popup_menu = new Fl_Menu_Button (0,0,400,400);
    cal_popup_menu->type (Fl_Menu_Button::POPUP3);
    cal_popup_menu->menu (cal_menu_items);
  mainw->end ();
  mainw->show ();
  
  Fl::run();
}
